Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.model
Interface J2eeApplicationObject

All Superinterfaces:
  DeployableObject

public interface J2eeApplicationObject
extends DeployableObject

A deployable object for an ear

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Method Summary
`void` | `addXpathListener(ModuleType type, String xpath, XpathListener xpl)` Register a listener for a given xpath
`DDBean[]` | `getChildBean(ModuleType type, String xpath)` Get the child elements with the specified xpath
`DeployableObject` | `getDeployableObject(String uri)` Retrieve a deployable object
`DeployableObject[]` | `getDeployableObjects()` Get all deployable objects in this application
`DeployableObject[]` | `getDeployableObjects(ModuleType type)` Get all deployable objects in this application of the given module type
`String[]` | `getModuleUris()` Return the list of module uris
`String[]` | `getModuleUris(ModuleType type)` Return the list of module uris for a give module type
`String[]` | `getText(ModuleType type, String xpath)` Get the text for the given xpath
`void` | `removeXpathListener(ModuleType type, String xpath, XpathListener xpl)` Unregister a listener for a given xpath

Methods inherited from interface javax.enterprise.deploy.model.DeployableObject
`entries, getChildBean, getClassFromScope, getDDBeanRoot, getDDBeanRoot, getEntry, getModuleDTDVersion, getText, getType`

Method Detail

### getDeployableObject

    public DeployableObject getDeployableObject(String uri)

  Retrieve a deployable object

  Parameters:
    `uri` - describes where to get the deployable object
  Returns:
    the deployable object or null if there is no such object

### getDeployableObjects

    public DeployableObject[] getDeployableObjects(ModuleType type)

  Get all deployable objects in this application of the given module type

  Parameters:
    `type` - the module type
  Returns:
    the deployable objects or null if there are no such objects

### getDeployableObjects

    public DeployableObject[] getDeployableObjects()

  Get all deployable objects in this application

  Returns:
    the deployable objects or null are no such objects

### getModuleUris

    public String[] getModuleUris(ModuleType type)

  Return the list of module uris for a give module type

  Parameters:
    `type` - the module type
  Returns:
    the uris or null if there are none

### getModuleUris

    public String[] getModuleUris()

  Return the list of module uris

  Returns:
    the uris or null if there are none

### getChildBean

    public DDBean[] getChildBean(ModuleType type,
                                 String xpath)

  Get the child elements with the specified xpath

  Parameters:
    `xpath` - the xpath of the children
  Returns:
    an array of children or null if there are none

### getText

    public String[] getText(ModuleType type,
                            String xpath)

  Get the text for the given xpath

  Parameters:
    `xpath` - the xpath
  Returns:
    an array of Strings for the xpath or null if there are none

### addXpathListener

    public void addXpathListener(ModuleType type,
                                 String xpath,
                                 XpathListener xpl)

  Register a listener for a given xpath

  Parameters:
    `xpath` - the xpath
    `xpl` - the listener

### removeXpathListener

    public void removeXpathListener(ModuleType type,
                                    String xpath,
                                    XpathListener xpl)

  Unregister a listener for a given xpath

  Parameters:
    `xpath` - the xpath
    `xpl` - the listener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.